Package org.eclipse.emf.cdo.common.model

# Class EMFUtil.TreeMapping<T extends EObject>

java.lang.Object
java.util.AbstractMap<T,T>
java.util.HashMap<T,T>
org.eclipse.emf.cdo.common.model.EMFUtil.TreeMapping<T>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<T,T>`

Enclosing class:
  `EMFUtil`

public static final class EMFUtil.TreeMapping<T extends EObject> extends HashMap<T,T>
A mapping between two `EObject`s and their contents based on their URIs as returned by `EcoreUtil.getURI(EObject)`.

Since:
  4.27
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`TreeMapping(Class<T> type)`

## Method Summary

Modifier and Type
Method
Description
`protected T`
`filter(EObject object)`
`Map<String,T>`
`getFromObjectsByURI()`
`Map<String,T>`
`getToObjectsByURI()`
`void`
`map(EObject fromObject, EObject toObject)`
`void`
`map(EObject fromObject, EObject toObject, boolean allContents)`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, newHashMap, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

## Constructor Details

### TreeMapping

public TreeMapping(Class<T> type)

## Method Details

### getFromObjectsByURI

public Map<String,T> getFromObjectsByURI()

### getToObjectsByURI

public Map<String,T> getToObjectsByURI()

### map

public void map(EObject fromObject, EObject toObject)

### map

public void map(EObject fromObject, EObject toObject, boolean allContents)

### filter

protected T filter(EObject object)